Bug 483235 - rpm -e fails on package with many files
rpm -e fails on package with many files
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
Depends On:
Blocks: 484094
  Show dependency treegraph
Reported: 2009-01-30 07:27 EST by Petr Sklenar
Modified: 2011-03-15 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 484094 (view as bug list)
Last Closed: 2009-09-02 09:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
huge dir with many files (1.10 KB, text/x-rpm-spec)
2009-01-30 07:27 EST, Petr Sklenar
no flags Details

  None (edit)
Description Petr Sklenar 2009-01-30 07:27:13 EST
Created attachment 330460 [details]
huge dir with many files

Description of problem:
there is 129936 files in tree, you can built it and install it, but it cannot be uninstalled

Version-Release number of selected component (if applicable):
+ rhel4 too

How reproducible:

Steps to Reproduce:
1. rpmbuild -ba huge-dir-tree.spec
2. rpm -Uvh huge-dir-tree.rpm
3. rpm -e huge-dir-tree
Actual results:
rpmbuild + install PASS

# rpm -e huge-dir-tree
On rhel5 it writes : memory alloc (8 bytes) returned NULL.
On rhel4 it writes : memory alloc (3455160288 bytes) returned NULL.

Expected results:
# rpm -e huge-dir-tree
..successfully erased

Additional info:
there is similar bug for rpmbuild
bug 438675
bug 462539
..but when it is possible to create a built , it has to be erased
Comment 1 Florian Festi 2009-09-02 09:47:41 EDT
Reason for this is non linear run time and memory usage for erases/updates for large number of files. This already got fixed upstream. As these fixes require rewriting large parts of the file (conflict) handling they are not acceptable for backporting. Sorry.

Note You need to log in before you can comment on or make changes to this bug.